"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepBuilderListEntry = void 0;
const trotsky_1 = require("../trotsky");
/**
 * Represents an individual entry step within a {@link StepBuilderList}.
 *
 * @typeParam P - The parent type of this step, defaulting to {@link StepBuilderList}.
 * @typeParam C - The child context type, defaulting to `unknown`.
 * @typeParam O - The output type, defaulting to `unknown`.
 * @public
 */
class StepBuilderListEntry extends trotsky_1.Step {
    /**
     * Applies the step's logic but do nothing by default. This method is
     * usually be overridden by child classes but will not throw an error if not.
     * @override
     */
    async apply() { }
}
exports.StepBuilderListEntry = StepBuilderListEntry;
//# sourceMappingURL=StepBuilderListEntry.js.map