"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepBuilderStreamEntry = void 0;
const trotsky_1 = require("../trotsky");
/**
 * @experimental
 *
 * Represents an individual entry step within a {@link StepBuilderStream}.
 *
 * @typeParam P - The parent type of this step, defaulting to {@link StepBuilderStream}.
 * @typeParam C - The context type, defaulting to `unknown`.
 * @typeParam O - The output type, defaulting to `unknown`.
 * @public
 */
class StepBuilderStreamEntry extends trotsky_1.Step {
    /**
     * Applies the step's logic but do nothing by default. This method is
     * usually be overridden by child classes but will not throw an error if not.
     * @override
     */
    async apply() { }
}
exports.StepBuilderStreamEntry = StepBuilderStreamEntry;
//# sourceMappingURL=StepBuilderStreamEntry.js.map