"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepListsEntry = void 0;
const trotsky_1 = require("../trotsky");
/**
 * Represents an individual entry step within a {@link StepLists} list.
 *
 * @typeParam P - The parent type of this step, defaulting to {@link StepLists}.
 * @typeParam C - The context type, defaulting to {@link StepListsOutput}.
 * @typeParam O - The output type, defaulting to `unknown`.
 * @public
 */
class StepListsEntry extends trotsky_1.ListMixins {
    /**
     * Applies the step's logic but do nothing by default. This method is
     * usually be overridden by child classes but will not throw an error if not.
     * @override
     */
    async apply() { }
}
exports.StepListsEntry = StepListsEntry;
//# sourceMappingURL=StepListsEntry.js.map