"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepPostLike = void 0;
const trotsky_1 = require("../trotsky");
/**
 * Represents a step for liking a specific post.
 *
 * @typeParam P - The parent type of this step, defaulting to {@link StepPost}.
 * @typeParam C - The context type, defaulting to {@link StepPostOutput}.
 * @typeParam O - The output type, defaulting to {@link StepPostLikeOutput}.
 * @public
 */
class StepPostLike extends trotsky_1.Step {
    /**
     * Applies the step logic to like the post provided in the context.
     * The resulting URI and CID of the like operation are stored in the output.
     *
     * @override
     * @throws Error
     * If the context does not provide the required `uri` and `cid`.
     */
    async apply() {
        const { uri, cid } = this.context;
        this.output = await this.agent.like(uri, cid);
    }
}
exports.StepPostLike = StepPostLike;
//# sourceMappingURL=StepPostLike.js.map