"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepPostsEntry = void 0;
const PostMixins_1 = require("./mixins/PostMixins");
/**
 * Represents an individual entry step within a {@link StepPosts} list.
 * Extends {@link PostMixins} to include common post-related operations.
 *
 * @typeParam P - The parent type of this step, defaulting to {@link StepPosts}.
 * @typeParam C - The context type, defaulting to {@link StepPostsOutput}.
 * @typeParam O - The output type, defaulting to `unknown`.
 * @public
 */
class StepPostsEntry extends PostMixins_1.PostMixins {
    /**
     * Applies the step's logic but do nothing by default. This method is
     * usually be overridden by child classes but will not throw an error if not.
     * @override
     */
    async apply() { }
}
exports.StepPostsEntry = StepPostsEntry;
//# sourceMappingURL=StepPostsEntry.js.map