"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListMixins = void 0;
const trotsky_1 = require("../../trotsky");
/**
 * A mixin class providing reusable list-related methods to extend step functionality.
 * These methods append specific list-related steps to the current chain.
 *
 * @typeParam P - The parent step type.
 * @typeParam C - The context type.
 * @typeParam O - The output type.
 *
 * @public
 */
class ListMixins extends trotsky_1.Step {
    /**
     * Appends a step to fetch the members of the current list.
     *
     * @returns The appended {@link StepListMembers} instance.
     */
    members() {
        return this.append((trotsky_1.StepListMembers));
    }
}
exports.ListMixins = ListMixins;
//# sourceMappingURL=ListMixins.js.map