"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = matchProperty;
/**
 * Creates a function that matches a specific property of an object to a given value.
 *
 * @param name - The property name to match.
 * @param value - The value to compare against the object's property.
 * @returns A function that takes an object and returns `true` if the object's property matches the given value, otherwise `false`.
 */
function matchProperty(name, value) {
    return (d) => d[name] === value;
}
//# sourceMappingURL=matchProperty.js.map